Package com.documentum.operations

# Interface IDfXMLUtils

public interface IDfXMLUtils
Collection of XML related utility methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplication(String applicationName, boolean returnSingleApp)`
  Deprecated.
  DFC 5.2
  `String`
  `getApplicationByDTD(String dtdSystemId, String dtdPublicId, String namespace, String rootElement, boolean returnSingleApp)`
  Deprecated.
  DFC 5.2.
  `IDfList`
  `getApplicationList(IDfXMLDocType doctype)`
  Returns a list strings containing object IDs and object names.
  `IDfList`
  `getApplicationList(IDfXMLDocType doctype, IDfFormat formatObj)`
  Returns a list strings containing object IDs and object names.
  `IDfList`
  `getApplicationList(IDfXMLDocType doctype, IDfSysObject object)`
  Returns a list strings containing object IDs and object names.
  `IDfList`
  `getApplicationList(IDfXMLDocType doctype, IDfFile file)`
  Returns a list strings containing object IDs and object names.
  `IDfList`
  `getApplicationList(IDfXMLDocType doctype, String fileOrFormatName)`
  Returns a list strings containing object IDs and object names.
  `IDfList`
  `getApplicationList(String applicationName)`
  Return a list of object IDs.
  `IDfList`
  `getApplicationListByDTD(String dtdSystemId, String dtdPublicId, String namespace, String rootElement, boolean returnSingleApp)`
  Deprecated.
  DFC 5.2
  `IDfId`
  `getObjectIdFromDRL(String drl)`
  Returns the object id corresponding to the DRL.
  `IDfList`
  `getObjectTypes(String xmlApplication)`
  getObjectTypes - RESERVED FOR FUTURE USE.
  `IDfXMLDocType`
  `getXMLDoctypeFromFile(String filename)`
  Returns an IDfXMLDocType which encapsulates information from the given XML document: public ID, system ID, schemaLocation, root element and XML application (if a processing instruction was found that indicates the XML application.
  `IDfList`
  `getZones(String xmlApplication)`
  getZones - RESERVED FOR FUTURE USE.
  `boolean`
  `isHTML(Object fileOrFormatObj)`
  isHTML - RESERVED FOR FUTURE USE.
  `boolean`
  `isXML(Object fileOrFormatObject)`
  Returns a boolean value to indicate whether the given file or format is XML, in terms of XML processing (i.e. chunking).
  `void`
  `setSession(IDfSession session)`
  Set the session that will be used by the class.

- ## Method Details

  - ### setSession

    void setSession(IDfSession session)
    Set the session that will be used by the class.
    Parameters:
      `session` -
    See Also:
      - `IDfSession`

  - ### isXML

    boolean isXML(Object fileOrFormatObject) throws DfException
    Returns a boolean value to indicate whether the given file or format is XML, in terms of XML processing (i.e. chunking). isXML() is passed a file or format, it will compare the file or format extension against a list of extensions that are considered XML files.
    Parameters:
      `fileOrFormatObject` - Can either be IDfFile object,IDfFormat object, file name (including the full path) or a Documentum format name.
    Returns:
      boolean true if the filename or format is considered XML.
    Throws:
      `DfException`

  - ### isHTML

    boolean isHTML(Object fileOrFormatObj) throws DfException
    isHTML - RESERVED FOR FUTURE USE.
    Throws:
      `DfException`

  - ### getObjectTypes

    IDfList getObjectTypes(String xmlApplication) throws DfException
    getObjectTypes - RESERVED FOR FUTURE USE.
    Throws:
      `DfException`

  - ### getZones

    IDfList getZones(String xmlApplication) throws DfException
    getZones - RESERVED FOR FUTURE USE.
    Throws:
      `DfException`

  - ### getXMLDoctypeFromFile

    IDfXMLDocType getXMLDoctypeFromFile(String filename) throws DfException
    Returns an IDfXMLDocType which encapsulates information from the given XML document: public ID, system ID, schemaLocation, root element and XML application (if a processing instruction was found that indicates the XML application.
    Parameters:
      `filename` - Contains the filename of the XML document to be parsed.
    Returns:
      Information from the given XML document: public ID, system ID, schemaLocation, root element and XML application(if a processing instruction was found that indicates the XML application).
    Throws:
      `DfException`

  - ### getApplication

    String getApplication(String applicationName, boolean returnSingleApp) throws DfException
    Deprecated.
    DFC 5.2
    Return a string of comma-delimited object IDs. The object IDs are for XML applications folders that have the given XML application name.
    Parameters:
      `applicationName` - Name of an XML application.
      `returnSingleApp` - Indicates whether the caller only wants a single XML application object ID returned.
    Returns:
      String of comma-separated object IDs.
    Throws:
      `DfException`
    See Also:
      - `getApplicationList(com.documentum.operations.IDfXMLDocType, java.lang.String)`

  - ### getApplicationByDTD

    String getApplicationByDTD(String dtdSystemId, String dtdPublicId, String namespace, String rootElement, boolean returnSingleApp) throws DfException
    Deprecated.
    DFC 5.2.
    Return a string of comma-delimited object IDs. The object IDs are for XML applications folders that have attributes which match the given parameter values.
    Parameters:
      `dtdSystemId` - Filename of the DTD, if one is used, by the XML document.
      `dtdPublicId` - Public identifier used by the XML document
      `namespace` - Namespace of the root element, if one is used.
      `rootElement` - Tag name of the root element.
      `returnSingleApp` - Indicates whether the caller only wants a single XML application object ID returned.
    Returns:
      String of comma-separated object IDs.
    Throws:
      `DfException`
    See Also:
      - `getApplicationList(com.documentum.operations.IDfXMLDocType, java.lang.String)`

  - ### getApplicationListByDTD

    IDfList getApplicationListByDTD(String dtdSystemId, String dtdPublicId, String namespace, String rootElement, boolean returnSingleApp) throws DfException
    Deprecated.
    DFC 5.2
    Returns a list of comma-delimited object IDs. The object IDs are for XML applications folders that have attributes which match the given parameter values.
    Parameters:
      `dtdSystemId` - Filename of the DTD, if one is used, by the XML document.
      `dtdPublicId` - Public identifier used by the XML document
      `namespace` - Namespace of the root element, if one is used.
      `rootElement` - Tag name of the root element.
      `returnSingleApp` - Indicates whether the caller only wants a single XML application object ID returned.
    Returns:
      IDfList - containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    See Also:
      - `getApplicationList(com.documentum.operations.IDfXMLDocType, java.lang.String)`

  - ### getObjectIdFromDRL

    IDfId getObjectIdFromDRL(String drl) throws DfException
    Returns the object id corresponding to the DRL.
    Parameters:
      `drl` - DRL string.
    Returns:
      ObjectId corresponding to the DRL.
    Throws:
      `DfException`

  - ### getApplicationList

    IDfList getApplicationList(IDfXMLDocType doctype, String fileOrFormatName) throws DfException
    Returns a list strings containing object IDs and object names. The object IDs are for XML applications folders that have attributes which match the given parameter values. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `doctype` - IDfXMLDocType that contains DTD system id, etc.
      `fileOrFormatName` - String containing a file name or format name. The name will be used to determine the format (if needed) and name of the default XML application.
    Returns:
      IDfList containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    Since:
      DFC 5.2

  - ### getApplicationList

    IDfList getApplicationList(IDfXMLDocType doctype, IDfSysObject object) throws DfException
    Returns a list strings containing object IDs and object names. The object IDs are for XML applications folders that have attributes which match the given parameter values. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `doctype` - IDfXMLDocType that contains DTD system id, etc.
      `object` - IDfSysObject whose a_content_type value is used to determine the name of the default XML application.
    Returns:
      IDfList containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    Since:
      DFC 5.2

  - ### getApplicationList

    IDfList getApplicationList(IDfXMLDocType doctype, IDfFormat formatObj) throws DfException
    Returns a list strings containing object IDs and object names. The object IDs are for XML applications folders that have attributes which match the given parameter values. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `doctype` - IDfXMLDocType that contains DTD system id, etc.
      `formatObj` - IDfFormat that will be used to determine the name of the default XML application.
    Returns:
      IDfList containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    Since:
      DFC 5.2

  - ### getApplicationList

    IDfList getApplicationList(IDfXMLDocType doctype, IDfFile file) throws DfException
    Returns a list strings containing object IDs and object names. The object IDs are for XML applications folders that have attributes which match the given parameter values. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `doctype` - IDfXMLDocType that contains DTD system id, etc.
      `file` - The format of the IDfFile will be used to determine the name of the default XML application.
    Returns:
      IDfList containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    Since:
      DFC 5.2

  - ### getApplicationList

    IDfList getApplicationList(IDfXMLDocType doctype) throws DfException
    Returns a list strings containing object IDs and object names. The object IDs are for XML applications folders that have attributes which match the given parameter values. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `doctype` - IDfXMLDocType that contains DTD system id, etc.
    Returns:
      IDfList containing strings of the form `objectId,objectName`, where 'objectId' is the object ID of the XML application folder and 'objectName' is the name of the XML application folder.
    Throws:
      `DfException`
    Since:
      DFC 5.2

  - ### getApplicationList

    IDfList getApplicationList(String applicationName) throws DfException
    Return a list of object IDs. The object IDs are for XML applications folders that have the given XML application name. If the caller only wants a single XML application object ID, they should look only at the first returned value.
    Parameters:
      `applicationName` - Name of an XML application.
    Returns:
      IDfList containing IDfId(s) of XML application folder(s).
    Throws:
      `DfException`
    Since:
      DFC 5.2